
package de.ivu.elect.business.stimmeingabe.control;

import java.io.Serializable;

import javax.inject.Inject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.KonfigurationLoader;

public class GeloeschteErgebniseingangEingangssequenznummerSpeichern implements Serializable {

  private static final long serialVersionUID = 1L;

  private static final Logger LOG = LoggerFactory.getLogger(GeloeschteErgebniseingangEingangssequenznummerSpeichern.class);

  @Inject
  private transient KonfigurationLoader konfigurationLoader;

  @Inject
  private transient ErgebniseingangEingangssequenznummerGenerator ergebniseingangEingangssequenznummerGenerator;

  public GeloeschteErgebniseingangEingangssequenznummerSpeichern() {
    super();
  }

  public void speichereEingangssequenznummerInKonfiguration() {
    Long naechsteEingangssequenznummer = ergebniseingangEingangssequenznummerGenerator.getNaechsteEingangssequenznummer();

    LOG.info("Speichere Ergebniseingang Sequenznummer in Konfiguration: " + naechsteEingangssequenznummer);

    konfigurationLoader.getParameter(ElectKonfigurationWerte.STIMMEINGABE_LETZTE_EINGANGSSEQUENZNUMMER_LOESCHEN)
        .setWert(naechsteEingangssequenznummer.toString());
  }
}
